<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'dgparame';
  	var  $key_par = '0';
	var  $tip_pol_com = '0';
	var  $tip_pol_devcom = '0';
	var  $tip_pol_ven = '0';
	var  $tip_pol_devven = '0';
	var  $tip_pol_cint = '0';
	var  $tip_pol_devcint = '0';
	var  $tip_pol_kja = '0';
	var  $tip_pol_cven = '0';
	var  $afec_c_prov = '0';
	var  $afec_c_clie = '0';
	var  $cta_clie_cont = '0';
	var  $cta_clie_cred = '0';
	var  $cta_prov = '0';
	var  $cta_seg = '0';
	var  $tip_camb_ven = '0';
	var  $cod_progral = '0';
	var  $cod_pubgral = '0';
	var  $trab_aseg = '0';
	var  $por_vad = '0';
	
	function antes_agregar(){
		$sql = "SELECT * FROM $this->nom_tabla";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas==1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}

//Funcion de Revicion
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE tip_pol_com like '$this->tip_pol_com'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "insert into $this->nom_tabla (tip_pol_com, tip_pol_devcom, tip_pol_ven, tip_pol_devven, tip_pol_cint, tip_pol_devcint, tip_pol_kja, tip_pol_cven, afec_c_prov, afec_c_clie, cta_clie_cont, cta_clie_cred, cta_prov, cta_seg, tip_camb_ven, cod_progral, cod_pubgral, trab_aseg , por_vad)values('$this->tip_pol_com', '$this->tip_pol_devcom', '$this->tip_pol_ven', '$this->tip_pol_devven', '$this->tip_pol_cint', '$this->tip_pol_devcint', '$this->tip_pol_kja', '$this->tip_pol_cven', '$this->afec_c_prov', '$this->afec_c_clie', '$this->cta_clie_cont', '$this->cta_clie_cred', '$this->cta_prov', '$this->cta_seg', '$this->tip_camb_ven', '$this->cod_progral', '$this->cod_pubgral', '$this->trab_aseg', '$this->por_vad')";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($key_par){
		$sql= "SELECT * FROM $this->nom_tabla WHERE key_par = '$key_par'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modifica($key_par){
		$sql = "UPDATE $this->nom_tabla SET tip_pol_com = '$this->tip_pol_com', tip_pol_devcom = '$this->tip_pol_devcom', tip_pol_ven = '$this->tip_pol_ven', tip_pol_devven = '$this->tip_pol_devven', tip_pol_cint = '$this->tip_pol_cint', tip_pol_devcint = '$this->tip_pol_devcint', tip_pol_kja = '$this->tip_pol_kja', tip_pol_cven = '$this->tip_pol_cven', afec_c_prov = '$this->afec_c_prov', afec_c_clie = '$this->afec_c_clie', cta_clie_cont = '$this->cta_clie_cont', cta_clie_cred = '$this->cta_clie_cred', cta_prov = '$this->cta_prov', cta_seg = '$this->cta_seg', tip_camb_ven = '$this->tip_camb_ven', cod_progral = '$this->cod_progral', cod_pubgral = '$this->cod_pubgral', trab_aseg = '$this->trab_aseg', por_vad = '$this->por_vad' where key_par = '$key_par'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($key_par){   
		$sql = "DELETE FROM $this->nom_tabla WHERE key_par = '$key_par'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>